-- @titel       LessMotorBrakeforce Script for FarmingSimulator 2022
-- @author      Danielmodding
-- @version     v1.0.0.0 Release Modhub
-- @date        04/12/2022
-- @info        LessMotorBrakeforce Script for FarmingSimulator 2022

LessMotorBrakeforce = {};

function LessMotorBrakeforce.prerequisitesPresent(specializations)
    return true
end;


function LessMotorBrakeforce:onUpdate(dt)
	if self.LessMotorBrakeforce == nil then
		self.LessMotorBrakeforce = true;

		if self.spec_motorized ~= nil then
			if self.spec_motorized.motor ~= nil then
				if self.spec_motorized.motor.lowBrakeForceScale ~= nil then
					self.spec_motorized.motor.lowBrakeForceScale = self.spec_motorized.motor.lowBrakeForceScale*0.25;
				end;
			end;
		end;
	end;
end;

Drivable.onUpdate  = Utils.prependedFunction(Drivable.onUpdate, LessMotorBrakeforce.onUpdate);

